Debian Bug report logs - #201842
aptitude: wipes out old Packages file upon failed update

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Fri, 18 Jul 2003 08:48:09 UTC

Severity: normal

Merged with 470135, 479620

Found in versions 0.2.13-1, aptitude/0.4.11.2-1, aptitude/0.4.4-4

Fixed in version aptitude/0.4.11.8-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#201842; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: wipes out old Packages file upon failed update
Date: Fri, 18 Jul 2003 14:45:31 +0800
Package: aptitude
Version: 0.2.13-1
Severity: normal

unlike apt-get, if a Packages file fails to download fully, the old
version in /var/lib/apt/lists/ gets destroyed.

e.g. lets say there is a gunzip error. the corrupted new file is left
in ./partial/ while the old Packages file is gone.  Infact all the "~"
backup Packages files are wiped away too by aptitude it seems, or was
that dselect?

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux debian 2.4.21-1-k7 #2 Mon Jun 16 22:23:16 EST 2003 i686
Locale: LANG=zh_TW.Big5, LC_CTYPE=zh_TW.Big5

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.3-5 0.5.5.1        Advanced front-end for dpkg
ii  libc6                     2.3.1-17       GNU C Library: Shared libraries an
ii  libgcc1                   1:3.3.1-0pre0  GCC support library
ii  libncurses5               5.3.20030510-2 Shared libraries for terminal hand
ii  libsigc++-1.2-5c102       1.2.5-1        Type-safe Signal Framework for C++
ii  libstdc++5                1:3.3.1-0pre0  The GNU Standard C++ Library v3

-- no debconf information




Forcibly Merged 201842 479620. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Mon, 09 Jun 2008 13:45:06 GMT) Full text and rfc822 format available.

Merged 201842 470135 479620. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 02 Jul 2008 09:09:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#201842; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #14 received at 201842@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: debian-user@lists.debian.org
Cc: 201842@bugs.debian.org, 479620@bugs.debian.org
Subject: Re: 答复: Stunned by aptitude.
Date: Wed, 2 Jul 2008 06:39:26 -0700
On Wed, Jul 02, 2008 at 11:09:18AM +0300, Andrei Popescu <andreimpopescu@gmail.com> was heard to say:
> Not really. See #201842 and #479620. Unfortunately Daniel Burrows still 
> didn't comment on them. Maybe he will show up here?

  The main reason I haven't touched those bugs is that there are many
more important things to work on.  This behavior might be annoying when
it hits you, but the files that are wiped out are all cache files that
you can download from the network when your connection is re-established.

  A secondary reason is that I can't figure out what's going on, because
whenever I try taking my network down and running an update, my package
lists are still around afterwards.  I've read over the code and it looks
to me like it only deletes the old package lists when it successfully
downloaded new ones.  Until I get more of a clue to go on, this looks to
me like a way to waste a great deal of time.

  I put the apt-get and aptitude code up side-by-side and I can only see
one difference in the conditions they use to determine whether to clean
the lists.  I don't see why this would matter (surely pkgAcquire::Run
returns Failure if files can't be downloaded?), but if there's anyone
who *can* reproduce this on demand, it would be interesting to know if
the attached patch helps.

  Daniel




Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 201842-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 201842-close@bugs.debian.org
Subject: Bug#201842: fixed in aptitude 0.4.11.8-1
Date: Fri, 04 Jul 2008 17:17:04 +0000
Source: aptitude
Source-Version: 0.4.11.8-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.8-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.8-1_i386.deb
aptitude-doc-cs_0.4.11.8-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.8-1_all.deb
aptitude-doc-en_0.4.11.8-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.8-1_all.deb
aptitude-doc-fi_0.4.11.8-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.8-1_all.deb
aptitude-doc-fr_0.4.11.8-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.8-1_all.deb
aptitude-doc-ja_0.4.11.8-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.8-1_all.deb
aptitude_0.4.11.8-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.8-1.diff.gz
aptitude_0.4.11.8-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.8-1.dsc
aptitude_0.4.11.8-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.8-1_i386.deb
aptitude_0.4.11.8.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 201842@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Jul 2008 09:34:16 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.8-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 201842 479620
Changes: 
 aptitude (0.4.11.8-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - Fix an annoying and long-standing bug that caused aptitude
       to sometimes delete package lists if downloading new copies
       failed.  (Closes: #201842, #479620)
Checksums-Sha1: 
 3ace09e545806b7b51cb78db4196b0505732068b 1391 aptitude_0.4.11.8-1.dsc
 c8d60ab56a1fba4d8b97fc93c72408f58f9989a6 5737925 aptitude_0.4.11.8.orig.tar.gz
 877886e874b125c3c5ee8eecc0fb704973a86541 35015 aptitude_0.4.11.8-1.diff.gz
 8a7b0db1ab45f3b9d4ad305c7426ee5bfb275320 345350 aptitude-doc-cs_0.4.11.8-1_all.deb
 6edd7814285a4397aa96ba77aa052ecd88a2cc98 353470 aptitude-doc-en_0.4.11.8-1_all.deb
 8b14b13e47dfd7f025e68b42926a4dddcac22461 263796 aptitude-doc-fi_0.4.11.8-1_all.deb
 2eec02a466470fc2824b12ce0c511d8cdf239b0c 298252 aptitude-doc-fr_0.4.11.8-1_all.deb
 497e8d3edafc6ef894c3f0592c527641564d5643 363822 aptitude-doc-ja_0.4.11.8-1_all.deb
 277189e2445e49093f421658893d7b494752f9d3 2788980 aptitude_0.4.11.8-1_i386.deb
 30a789a0fac9ab8fc039edbfb7001129031d011e 5902788 aptitude-dbg_0.4.11.8-1_i386.deb
Checksums-Sha256: 
 99b28380adafaf84a179830a5e979a1fc21d8d14f6a8489f4b9e885a239efc69 1391 aptitude_0.4.11.8-1.dsc
 37b3cc2aa47a3a0d85f850d84758c23adb0b9e4d798feb81f089925486c88444 5737925 aptitude_0.4.11.8.orig.tar.gz
 b6661297f28365ca379c88ef8ea283f4965cacc70edd5a358f6fc59606082719 35015 aptitude_0.4.11.8-1.diff.gz
 5ac7a96e202404db3b8839ae9e5bb93d7946fb102e711d0f92eb8baa5c912885 345350 aptitude-doc-cs_0.4.11.8-1_all.deb
 03b51eb2e864e821a4b85044ca3e98a37737b4bfcffa45015a6752e1d4119eec 353470 aptitude-doc-en_0.4.11.8-1_all.deb
 b0e4a762f84ab503d6340f04e94c6755b4d51c5296ea76676a0e63de942da5f8 263796 aptitude-doc-fi_0.4.11.8-1_all.deb
 1555188ed05a7184dddb2f154b806a85b0aed657d038132ad31f25aae52c0709 298252 aptitude-doc-fr_0.4.11.8-1_all.deb
 ae2be11536be165743bf3216ae42566dd461e8ec232f2a890afacb7253c2b7f9 363822 aptitude-doc-ja_0.4.11.8-1_all.deb
 83f86c4fa5fffcec98161099afc1077eda5a7a7a106f4a0331b0c7795764b6fd 2788980 aptitude_0.4.11.8-1_i386.deb
 2c968c6a79b8fbe42b8aa463d11dad67dc6187d85b893999ec4dcb8549e7492f 5902788 aptitude-dbg_0.4.11.8-1_i386.deb
Files: 
 2b5259653087c5605c402f36258e28b8 1391 admin - aptitude_0.4.11.8-1.dsc
 4982e46d4e9d2b3b05d0620c64225a00 5737925 admin - aptitude_0.4.11.8.orig.tar.gz
 ca9cb0119f488818d01d7c383005034a 35015 admin - aptitude_0.4.11.8-1.diff.gz
 35735502065a48b7d5b616da1ac30371 345350 doc optional aptitude-doc-cs_0.4.11.8-1_all.deb
 06b1fb97d0d170c1b9af58e3e24ff841 353470 doc optional aptitude-doc-en_0.4.11.8-1_all.deb
 1316b440402e19c26908269af78282b4 263796 doc optional aptitude-doc-fi_0.4.11.8-1_all.deb
 d32f88aa49cfac1aefa653194724942e 298252 doc optional aptitude-doc-fr_0.4.11.8-1_all.deb
 49f121bc880dc8ead8b5caa733f55e15 363822 doc optional aptitude-doc-ja_0.4.11.8-1_all.deb
 09c3c241717f92c022f3f32f69ff04e4 2788980 admin important aptitude_0.4.11.8-1_i386.deb
 3e78059cb7f28937cd310b45faca574e 5902788 devel extra aptitude-dbg_0.4.11.8-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIblj/ch6xsM7kSXgRAjgAAJ9nRvDstyhRfwVpMSxmIcK73sA7IgCg3pKX
sZTUxCtr4jbUqKLRxmHLokM=
=jgb5
-----END PGP SIGNATURE-----





Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to giuseppe bonacci <g.bonacci@libero.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Oct 2009 07:32:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:50:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.